@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  sputnik startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

@rem Add default JVM options here. You can also use JAVA_OPTS and SPUTNIK_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS=

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto init

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto init

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:init
@rem Get command-line arguments, handling Windowz variants

if not "%OS%" == "Windows_NT" goto win9xME_args
if "%@eval[2+2]" == "4" goto 4NT_args

:win9xME_args
@rem Slurp the command line arguments.
set CMD_LINE_ARGS=
set _SKIP=2

:win9xME_args_slurp
if "x%~1" == "x" goto execute

set CMD_LINE_ARGS=%*
goto execute

:4NT_args
@rem Get arguments from the 4NT Shell from JP Software
set CMD_LINE_ARGS=%$

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\sputnik-1.10.0.jar;%APP_HOME%\lib\jackson-databind-2.3.0.jar;%APP_HOME%\lib\annotations-12.0.jar;%APP_HOME%\lib\log4j-over-slf4j-1.7.7.jar;%APP_HOME%\lib\logback-classic-1.0.13.jar;%APP_HOME%\lib\lombok-1.12.6.jar;%APP_HOME%\lib\sonar-scanner-api-2.10.0.1189.jar;%APP_HOME%\lib\json-path-0.9.1.jar;%APP_HOME%\lib\gerrit-rest-java-client-0.8.8.jar;%APP_HOME%\lib\checkstyle-8.1.jar;%APP_HOME%\lib\pmd-java-6.0.0.jar;%APP_HOME%\lib\jaxen-1.1.6.jar;%APP_HOME%\lib\xercesImpl-2.9.1.jar;%APP_HOME%\lib\findbugs-3.0.0.jar;%APP_HOME%\lib\xml-apis-1.0.b2.jar;%APP_HOME%\lib\scalastyle_2.10-0.4.0.jar;%APP_HOME%\lib\CodeNarc-1.0.jar;%APP_HOME%\lib\groovy-2.3.4.jar;%APP_HOME%\lib\jslint4java-2.0.5.jar;%APP_HOME%\lib\jshint4j-2.9.5.jar;%APP_HOME%\lib\jcabi-github-0.24.jar;%APP_HOME%\lib\compiler-0.8.17.jar;%APP_HOME%\lib\zt-exec-1.8.jar;%APP_HOME%\lib\ktlint-core-0.9.1.jar;%APP_HOME%\lib\ktlint-ruleset-standard-0.9.1.jar;%APP_HOME%\lib\detekt-core-1.0.0.RC3.jar;%APP_HOME%\lib\detekt-rules-1.0.0.RC3.jar;%APP_HOME%\lib\jackson-annotations-2.3.0.jar;%APP_HOME%\lib\jackson-core-2.3.0.jar;%APP_HOME%\lib\logback-core-1.0.13.jar;%APP_HOME%\lib\json-smart-1.2.jar;%APP_HOME%\lib\gson-2.6.2.jar;%APP_HOME%\lib\guava-19.0.jar;%APP_HOME%\lib\antlr-2.7.7.jar;%APP_HOME%\lib\antlr4-runtime-4.7.jar;%APP_HOME%\lib\commons-beanutils-1.9.3.jar;%APP_HOME%\lib\javacc-5.0.jar;%APP_HOME%\lib\pmd-core-6.0.0.jar;%APP_HOME%\lib\saxon-9.1.0.8.jar;%APP_HOME%\lib\saxon-9.1.0.8-dom.jar;%APP_HOME%\lib\commons-io-2.4.jar;%APP_HOME%\lib\commons-lang3-3.7.jar;%APP_HOME%\lib\bcel-findbugs-6.0.jar;%APP_HOME%\lib\annotations-3.0.0.jar;%APP_HOME%\lib\jFormatString-3.0.0.jar;%APP_HOME%\lib\dom4j-1.6.1.jar;%APP_HOME%\lib\asm-debug-all-5.0.2.jar;%APP_HOME%\lib\commons-lang-2.6.jar;%APP_HOME%\lib\scalariform_2.10-0.1.4.jar;%APP_HOME%\lib\scopt_2.10-3.2.0.jar;%APP_HOME%\lib\groovy-all-2.3.11.jar;%APP_HOME%\lib\groovy-ant-2.3.11.jar;%APP_HOME%\lib\GMetrics-1.0.jar;%APP_HOME%\lib\jcabi-aspects-0.22.jar;%APP_HOME%\lib\jcabi-immutable-1.4.jar;%APP_HOME%\lib\jcabi-xml-0.16.2.jar;%APP_HOME%\lib\jcabi-http-1.10.2.jar;%APP_HOME%\lib\xembly-0.19.1.jar;%APP_HOME%\lib\jcabi-manifests-1.1.jar;%APP_HOME%\lib\jcabi-log-0.16.jar;%APP_HOME%\lib\hamcrest-library-1.3.jar;%APP_HOME%\lib\hamcrest-core-1.3.jar;%APP_HOME%\lib\validation-api-1.1.0.Final.jar;%APP_HOME%\lib\aspectjrt-1.8.6.jar;%APP_HOME%\lib\javax.json-1.0.4.jar;%APP_HOME%\lib\jersey-client-1.18.1.jar;%APP_HOME%\lib\jersey-core-1.18.1.jar;%APP_HOME%\lib\detekt-api-1.0.0.RC3.jar;%APP_HOME%\lib\kotlin-stdlib-1.1.4-2.jar;%APP_HOME%\lib\commons-collections-3.2.2.jar;%APP_HOME%\lib\ant-1.9.3.jar;%APP_HOME%\lib\groovy-groovydoc-2.3.11.jar;%APP_HOME%\lib\ant-antlr-1.9.3.jar;%APP_HOME%\lib\ant-launcher-1.9.3.jar;%APP_HOME%\lib\ant-junit-1.9.3.jar;%APP_HOME%\lib\antlr-runtime-3.5.2.jar;%APP_HOME%\lib\snakeyaml-1.18.jar;%APP_HOME%\lib\annotations-13.0.jar;%APP_HOME%\lib\groovy-templates-2.3.11.jar;%APP_HOME%\lib\groovy-xml-2.3.11.jar;%APP_HOME%\lib\slf4j-api-1.7.25.jar;%APP_HOME%\lib\httpclient-4.5.2.jar;%APP_HOME%\lib\commons-cli-1.4.jar;%APP_HOME%\lib\rhino-1.7.7.2.jar;%APP_HOME%\lib\kotlin-compiler-embeddable-1.1.4-2.jar;%APP_HOME%\lib\commons-logging-1.2.jar;%APP_HOME%\lib\jcommander-1.48.jar;%APP_HOME%\lib\scala-library-2.10.3.jar;%APP_HOME%\lib\httpcore-4.4.4.jar;%APP_HOME%\lib\commons-codec-1.9.jar

@rem Execute sputnik
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %SPUTNIK_OPTS%  -classpath "%CLASSPATH%" pl.touk.sputnik.Main %CMD_LINE_ARGS%

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable SPUTNIK_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%SPUTNIK_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
